/*
Gtk+ogltk - Gtk+ OpenGL Toolkit

Copyright (C) 2003 SandorLabs

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Contact :
    John Kiss - jkiss@sandorapplications.com


*/
#if !defined(OGLTK_H)
#define OGLTK_H

/* Include Standard C Opengl Header Files */
#include <GL/gl.h>
#include <GL/glu.h>

/* Include standard GTK+ headers */
#include <gtk/gtk.h>

/* Include regularly used GDK Header Files */
#include <gdk/gdkkeysyms.h>

/* Inlcude Gtk+ glext class header */
#include <gtk/gtkgl.h>

/* Include standard type utils for this package */
#include "ogltk/config.h"
#include "ogltk/typeutils.h"
#include "ogltk/matrix.h"
#include "ogltk/color.h"

#endif /* OGLTK_H */
