/*
Gtk+ogltk - Gtk+ OpenGL Toolkit

Copyright (C) 2003 SandorLabs

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Contact :
    John Kiss - jkiss@sandorapplications.com


*/
#if !defined(OGLTK_TYPE_UTILS_H)
#define OGLTK_TYPE_UTILS_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define	OGLTK_CHECK_TYPE                G_TYPE_CHECK_INSTANCE_TYPE
#define	OGLTK_CHECK_CAST                G_TYPE_CHECK_INSTANCE_CAST
#define	OGLTK_CHECK_CLASS_CAST          G_TYPE_CHECK_CLASS_CAST
#define OGLTK_CHECK_GET_CLASS           G_TYPE_INSTANCE_GET_CLASS
#define	OGLTK_CHECK_CLASS_TYPE          G_TYPE_CHECK_CLASS_TYPE

#define OGTK_TYPE(object)		        (G_TYPE_FROM_INSTANCE (object))
#define OGTK_TYPE_NAME(object)	        (g_type_name (PAT_OBJECT_TYPE (object)))

typedef gboolean (*ogltk_callback)       (gpointer *view);


#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif //OGTK_TYPE_UTILS_H
